<?php

namespace WoWPress\Models;

use Wenprise\Eloquent\Model;
use WoWPress\Api\BattleNet;

class SKS extends Model
{

    protected $table = "wowpress_sks";
    public $timestamps = false;
    protected $primaryKey = 'ID';
    protected $guarded = ['ID'];



    public static function getList($name){
        return static::where('list_name',$name)->orderBy('rank')->get();
    }

    public static function getLists(){
        return static::distinct('list_name')->get();
    }

    

}